#if defined _re_cmps_included
  #endinput
#endif
#define _re_cmps_included

#if AMXX_VERSION_NUM >= 175
	#pragma reqlib re_cmps
	#if !defined AMXMODX_NOAUTOLOAD
		#pragma loadlib re_cmps
	#endif
#else
	#pragma library re_cmps
#endif

//当前插件状态信息
enum 
{
	MATCH_NOSTART=0,		//未加载比赛
	MATCH_FIRSTHALF,		//上半场
	MATCH_SECONDHALF,		//下半场
	MATCH_OTFIRSTHALF,		//加时赛上半场
	MATCH_OTSECONDHALF,		//加时赛下半场
	MATCH_KNIFE,			//拼刀
	MATCH_WAITSECONDHALF,	//等待进入下半场(常规)
	MATCH_WAITOTSECONDHALF	//等待进入下半场(加时)
}
/**
* 获取当前指定团队的比分
*
* @param Team				团队编号 1=CT团队 非1为土匪
*/
native get_match_score(Team);

/**
* 设置指定团队上半场得分
*
* @param Team				团队编号 1=CT团队 非1为土匪
* @param Score				团队得分 最大15 最小0
* @return					0 设置失败 1设置成功
*/
native set_match_score(Team,Score);

/**
* 获取当前比赛状态
*
* @return					参见当前插件状态信息 enum注释
*/
native get_match_type();

/**
* 判断玩家是否拥有ReCsMatchPro插件管理员权限
*
* @return					1 拥有 0无
*/
native is_match_admin(id);

/**
* 判断玩家是否初始比赛人员(通过客户端IP和Steam组合判断)
*
* @param id			客户端索引 1-32
*
* @return			0-不是 1是
*/
native is_match_player(id);

/**
* 启动比赛
*
* @param MatchType			仅支持MATCH_FIRSTHALF、MATCH_SECONDHALF、MATCH_OTFIRSTHALF、MATCH_OTSECONDHALF
* @return					0 失败 1成功
*/
native cs_match_start(MatchType);

/**
* 强行停止正在进行的所有比赛
*
* @param id			客户端索引 为0或大于32则为服务器
*/
native cs_match_end(id);

/**
* 注册一个功能菜单选项(即将弃用!请使用mp_reg_menuitem)
*
* @param name			菜单选项名字
* @param iteamdata		菜单选项标识
*/
native register_extraitem(const iteamname[],iteamdata);
/**
* 注册一个功能菜单选项
*
* @param name			菜单选项名字
* @param iteamdata		菜单选项标识
*/
native mp_reg_menuitem(const iteamname[],iteamdata);

/**
* 比赛开始后转发玩家所造成的伤害
* @param victim			受害者索引
* @param attacker		攻击者索引
* @param damage			造成的伤害
* @param damage_type	伤害类型
* @param TA				是否属于队友伤害
*/
forward match_TakeDamage(victim, attacker, damage, damage_type,TA);

/**
* 即将创建比赛时触发此转发
*
* @param MatchType		比赛类型参见enum
*/
forward match_create_pre(MatchType)

/**
* 比赛成功创建后触发此转发
*
* @param MatchType		比赛类型参见enum
*/
forward match_create(MatchType)

/**
* 比赛结束时触发此转发
*
* @param WinTeam		胜利的团队 0-TE 1-CT -2 平手
* @param tScore			土匪团队得分
* @param ctScore		警察团队得分
*/
forward match_end(WinTeam,tScore,ctScore)

/**
* 比赛过程中玩家死亡
* 
* @param victim			受害者索引
* @param attacker		攻击者索引
* @param IsTk			是否同队击杀 1-是 0-否
*/
forward match_playerkilled(victim, attacker,IsTk)

/**
* 第三方插件注册菜单调用触发
*
* @param index			客户端索引
* @param idfy			注册的菜单标识符
*/
forward match_externalmenu(index,idfy)
